
Infrastructure - Task #2071

Story # 2067 (Closed): Refactor the index task generator and processor to improve scalability and performance

Update the index task processor to read from task queue

2011-11-29 14:08 - Dave Vieglais

Status: Closed Start date: 2011-11-29

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

The task processor will need to read from the new index task queue.

It should be possible to select the next task based on priority, age, pid, or formatid.

There may be more than one task processor running at a time, which may influence design decisions.

History

#1 - 2011-11-30 00:41 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2011-12-07 21:21 - Skye Roseboom

- Status changed from In Progress to Closed

Completed.  Created apache daemon to wrap quartz scheduled processor job.  Index task processor reads tasks from repository and hands them off

to XPathDocumentParser to generate solr updates.
